# OTL2HTML.PY

1. What is OTL2HTML.PY?

   It is a small program that converts Vim Outliner's OTL files into nicely formatted HTML files. It has two main output methods. One is for pretty, stand-alone web pages; useful for reports and instances where a 'Word' document might suffice. The other is for created HTML pages that might be used for web pages or for complete web sites. For easy customization it supports the use of both in-line and external CSS files.

2. Usage
   1. otl2html.py [options] inputfile > outputfile
   2. Command Line Option

           -s    sheet        Use the specified style sheet with a link.
           -S    sheet        Include the specified style sheet in-line.
           -T                 The first line is not the title.
           -D                 First level is divisions for pretty web pages.
           -c                 Hide comments.
           -C   "copyright"   Use the specified copyright.
           -v                 Show the version.
           -H                 Show the syntax help.

3. Beautification

   These are simple character styles. You must keep the start and end tags on the same line.

   Tag | Function | Usage | Presentation
   --- | --- | --- | ---
   ** | bold | **This is bold** This is not | This is bold This is not
   // | italic | //This is italic// This is not | This is italic This is not
   +++ | highlight | +++As if I used a highlighter+++ or not | `As if I used a highlighter` or not
   --- | strikeout | The price is ---old price--- new price | The price is old price new price
   (c) | copyright symbol | Copyright (c) 2005 Noel Henson | Copyright © 2005 Noel Henson
   (C) | copyright symbol | Copyright (C) 2005 Noel Henson | Copyright © 2005 Noel Henson

   If proper nesting of tags is observed, several can be used at once: `Highlight-Bold-Italic`.

   1. Bullets

      Tag | Function | Usage | Presentation
      --- | --- | --- | ---
      - | bulleted heading | - Heading | Heading
      + | numbered heading | + Heading | Heading

   2. Horizontal Rule

      This is the final beautifier. Just put 40 dashes on a line and it will be show up as a simple horizontal rule.

      1. ----------------------------------------

         It makes this:

5. Supported VO Data Blocks
   1. Headings
   2. Body Text
   3. Preformatted Text
   4. Tables
6. Version and Copyright

        Version 1.37
        Copyright © 2005 Noel Henson
        License: GPL